Subject: Re: bug#53885: 28.0.51 [PATCH] Autoload package-installed-p

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Feb 2022 08:10:47 +0200

> From: Corwin Brust <[email-masked]>
> Date: Wed, 9 Feb 2022 17:58:25 -0600
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> On Wed, Feb 9, 2022 at 2:16 PM Lars Ingebrigtsen <[email-masked]> wrote:
> >
> > It should be safe for the release branch, so installing it is fine by
> > me, but I didn't really understand the use case.
> 
> Sorry I failed in making the case for users clear.
> 
> The primary use-case here is "repeatable configuration", especially
> bootstrapping `use-package'.
> 
> By "repeatable configuration" we mean, we get the same setup each time
> we start Emacs, even when launching for the first time on a new host.
> 
> The use package feature provides an "ensure" capability that is well
> suited to this job.
> 
>   (use-package 'foo :ensure t)
> 
> This appears widely used, especially to create literate Emacs configurations.
> 
> For this to work, however, "bootstrapping" (installing use-package via
> Emacs core features) is needed.  The reproducer I gave shows one way
> of bootstrapping use-package. Considering the similarity of my
> reproducer to the recipe in #31397, I think it is a fairly common
> approach and has been for some years.

Thanks, but I don't think I understand the relevance, probably because
I don't use use-package.  Why do you need package-installed-p to be
autoloaded in this scenario, and why cannot use-package do that by
itself?